<?php

/*******************************************************************************

	Author  .......  Galen Johnson
	Contact  ......  gjohnson@trantor.org
	Home Site  ....  http://
	Program  ......  SquirrelMail Plugin - Change Cyrus Password
	Version  ......  1.3

*******************************************************************************/
define('SM_PATH','../');

/* i18n.php defines the _() syntax */
include_once(SM_PATH . 'functions/i18n.php');
bindtextdomain('chg_ds_passwd', '../plugins/chg_ds_passwd/locale');
 
function squirrelmail_plugin_init_chg_ds_passwd()
{
	global $squirrelmail_plugin_hooks;

	$squirrelmail_plugin_hooks['logout_above_text']['chg_ds_passwd'] = 'logout_user_explanation';
	$squirrelmail_plugin_hooks['optpage_register_block']['chg_ds_passwd'] = 'chg_ds_passwd_optpage_register_block';

	return;
}

function logout_user_explanation()
{
//    global $HTTP_SERVER_VARS;
    textdomain('chg_ds_passwd');

    if ( isset($_SERVER['QUERY_STRING']) && stristr($_SERVER['QUERY_STRING'], 'chg_ds_passwd') )

        echo "<br><b>" . _("Your password has been changed.  This requires that you reauthenticate with the new password. Logging out automagically.") . "<br><br>\n";

	/* Switch back to the SquirrelMail domain */
	textdomain('squirrelmail');
}

function chg_ds_passwd_optpage_register_block ()
{
	global $optpage_blocks;
        textdomain('chg_ds_passwd');

	$optpage_blocks[] = array (
		'name' => _("Change Password"),
		'url'  => '../plugins/chg_ds_passwd/options.php',
		'desc' => _("You can change your web mail password if you do not have a login account on the mail server."),
		'js'   => false);

	/* Switch back to the SquirrelMail domain */
	textdomain('squirrelmail');

	return;
}

?>
